clear all
set more off
cap log close

global rawdata=".../replication/rawdata"
global workdata=".../replication/Workdata"
global output=".../replication/Output"



use "$workdata/CFPS_main_regression.dta",clear

*********************************
* Table 3: Gender gap in height *

preserve
est clear


reghdfe gap1 faminePX interson famineg fhealth fhigh [aweight=cs]if birthyr>1953 & birthyr<1967, absorb(provcd birthyr) cluster (provcd)
est store e1
keep if e(sample)==1

reghdfe gap1 faminePX interson [aweight=cs]if birthyr>1953 & birthyr<1967, absorb(provcd birthyr) cluster (provcd)
est store e2

g selective=0
replace selective=1 if birthyr==1960
replace selective=1 if birthyr==1961

reghdfe gap1 faminePX interson [aweight=cs]if birthyr>1953 & birthyr<1967 & selective==0, absorb(provcd birthyr) cluster (provcd)
est store e3

esttab e2 e1 e3 using "$output/Table3_CFPS_height_gap.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) keep(faminePX interson) r2 se

restore

***********************************************
* Table A8 panel A: Absolute change in height *

preserve
est clear

reghdfe male_hm faminePX interson famineg fhealth fhigh [aweight=cs]if birthyr>1953 & birthyr<1967, absorb(provcd birthyr) cluster (provcd)
est store e1
keep if e(sample)==1


reghdfe male_hm faminePX interson [aweight=cs]if birthyr>1953 & birthyr<1967, absorb(provcd birthyr) cluster (provcd)
est store e2



reghdfe female_hm faminePX interson famineg fhealth fhigh [aweight=cs]if birthyr>1953 & birthyr<1967, absorb(provcd birthyr) cluster (provcd)
est store e3

reghdfe female_hm faminePX interson [aweight=cs]if birthyr>1953 & birthyr<1967, absorb(provcd birthyr) cluster (provcd)
est store e4

esttab e2 e1 e4 e3 using "$output/TableA8A_height_absolute.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01)  keep(faminePX interson) r2 se

restore



*******************************
* Table A9: Family background *

use "$workdata/CFPS_robust_family_background.dta",clear

reg feduy faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f1
reg meduy faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f2
reg fop faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f3
reg mop faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f4

reg qb1 faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f5
reg sb faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f6
reg sg faminePX gender famineg fhealth fhigh i.provcd i.birthyr fgender if qa302==1 & birthyr>1953 & birthyr<1967, cluster (provcd)
est store f7


esttab f1 f2 f3 f4 f5 f6 f7 using "$output/TableA9_CFPS_selection.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01)  keep(faminePX gender fgender) r2 se





